Skip to main content
GET
/
assets
/
available-inputs
Get available input assets for a given output asset
curl --request GET \
  --url https://v2.prod.halliday.xyz/assets/available-inputs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v2.prod.halliday.xyz/assets/available-inputs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v2.prod.halliday.xyz/assets/available-inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48": {
    "fiats": [
      "usd"
    ],
    "tokens": []
  }
}
{
"errors": [
{
"kind": "other",
"message": "Invalid provider specified. Provider 'invalid_provider' is not supported"
}
]
}
{
"errors": [
{
"kind": "other",
"message": "Authentication required. Please provide a valid API key."
}
]
}
{
"errors": [
{
"kind": "other",
"message": "Access denied. Your API key does not have permission to query available assets."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

inputs[]
string[]

Filter by specific input assets

Identifier in the token format ("chain:address") or fiat currency code ("USD")

outputs[]
string[]

Output assets to find inputs for

Identifier in the token format ("chain:address") or fiat currency code ("USD")

onramps[]
string[]

Filter by specific onramp providers

offramps[]
string[]

Filter by specific offramp providers

Response

Available input assets grouped by output

{key}
object